### Method

# Snapd Connection has_slot_attribute

since: 1.48

#### Declaration [src]

    gboolean
    snapd_connection_has_slot_attribute (
      SnapdConnection* connection,
      const gchar* name
    )

#### Description [src]

Check if the connected slot has an attribute.

Available since: 1.48

#### Parameters

`name`

  Type: `const gchar*`

  An attribute name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if this attribute exists.